DKBSignDocs

API reference

GETRequires Bearer token

Download a verification proof PDF

/api/verification/proofs/{proof_id}/pdf

Human-readable rendering of the proof (preuve-{id}.pdf / proof-{id}.pdf).

Path parameters

FieldTypeDescription
proof_id
Required
stringPath parameter proof_id.

Query parameters

FieldTypeDescription
lang
stringfr (default) or en.
e.g. "fr"

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Proof PDF
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/verification/proofs/uuid_or_id/pdf?lang=fr' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "content_type": "application/pdf",
  "note": "The HTTP body is the PDF bytes, not JSON."
}